## pythonqt 2.1.0~svn247

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

#-----------------------------------------------------------------------------
project(PythonQt)
#-----------------------------------------------------------------------------

include(CTestUseLaunchers OPTIONAL)

#-----------------------------------------------------------------------------
# Python libraries

find_package(PythonLibs REQUIRED)
include_directories("${PYTHON_INCLUDE_DIR}")
add_definitions(-DPYTHONQT_USE_RELEASE_PYTHON_FALLBACK)

#-----------------------------------------------------------------------------
# Build options

option(PythonQt_Wrap_QtAll "Make all Qt components available in python" OFF)

set(qtlibs core gui network opengl sql svg uitools webkit xml xmlpatterns)
foreach(qtlib ${qtlibs})
  OPTION(PythonQt_Wrap_Qt${qtlib} "Make all of Qt${qtlib} available in python" OFF)
endforeach()

# Force option if it applies
if(PythonQt_Wrap_QtAll)
  list(REMOVE_ITEM qtlibs xmlpatterns) # xmlpatterns wrapper does *NOT* build at all :(  
  foreach(qtlib ${qtlibs})
    if(NOT ${PythonQt_Wrap_Qt${qtlib}})
      set(PythonQt_Wrap_Qt${qtlib} ON CACHE BOOL "Make all of Qt${qtlib} available in python" FORCE)
      message(STATUS "Enabling [PythonQt_Wrap_Qt${qtlib}] because of [PythonQt_Wrap_QtAll] evaluates to True")
    endif()
  endforeach()
endif()

option(PythonQt_DEBUG "Enable/Disable PythonQt debug output" OFF)
if(PythonQt_DEBUG)
  add_definitions(-DPYTHONQT_DEBUG)
else()
  remove_definitions(-DPYTHONQT_DEBUG)
endif()

#-----------------------------------------------------------------------------
# Setup Qt

set(minimum_required_qt_version "4.6.2")

find_package(Qt4)

if(QT4_FOUND)

  set(found_qt_version ${QT_VERSION_MAJOR}.${QT_VERSION_MINOR}.${QT_VERSION_PATCH})

  if(${found_qt_version} VERSION_LESS ${minimum_required_qt_version})
      message(FATAL_ERROR "error: PythonQt requires Qt >= ${minimum_required_qt_version} -- you cannot use Qt ${found_qt_version}.")
  endif()
  
  # Enable required qt module
  foreach(qtlib network opengl sql svg uitools webkit xml xmlpatterns)
    string(TOUPPER ${qtlib} qtlib_uppercase)
    if (NOT ${QT_QT${qtlib_uppercase}_FOUND})
      message(FATAL_ERROR "QT_QT${${qtlib_uppercase} *not* FOUND - Try to disable PythonQt_Wrap_Qt${qtlib}")
    endif()
    set(QT_USE_QT${qtlib_uppercase} ${PythonQt_Wrap_Qt${qtlib}})
  endforeach()
  
  include(${QT_USE_FILE})
else()
  message(FATAL_ERROR "error: Qt4 was not found on your system. You probably need to set the QT_QMAKE_EXECUTABLE variable")
endif()

#-----------------------------------------------------------------------------
# The variable "generated_cpp_suffix" allows to conditionnally compile the generated wrappers 
# associated with the Qt version being used.
set(generated_cpp_suffix "_${QT_VERSION_MAJOR}${QT_VERSION_MINOR}")
if("${generated_cpp_suffix}" STREQUAL "_48")
  set(generated_cpp_suffix "")
endif()
if("${generated_cpp_suffix}" STREQUAL "_46")
  set(generated_cpp_suffix "_47") # Also use 4.7 wrappers for 4.6.x version
endif()

#-----------------------------------------------------------------------------
# Sources

set(sources
    src/PythonQtClassInfo.cpp
    src/PythonQtClassWrapper.cpp
    src/PythonQtConversion.cpp
    src/PythonQt.cpp
    src/PythonQtImporter.cpp
    src/PythonQtInstanceWrapper.cpp
    src/PythonQtMethodInfo.cpp
    src/PythonQtMisc.cpp
    src/PythonQtObjectPtr.cpp
    src/PythonQtQFileImporter.cpp
    src/PythonQtSignalReceiver.cpp
    src/PythonQtSlot.cpp
    src/PythonQtSignal.cpp
    src/PythonQtStdDecorators.cpp
    src/PythonQtStdIn.cpp
    src/PythonQtStdOut.cpp
    src/gui/PythonQtScriptingConsole.cpp
    
    generated_cpp${generated_cpp_suffix}/PythonQt_QtBindings.cpp

    generated_cpp${generated_cpp_suffix}/com_trolltech_qt_core_builtin/com_trolltech_qt_core_builtin0.cpp
    generated_cpp${generated_cpp_suffix}/com_trolltech_qt_core_builtin/com_trolltech_qt_core_builtin_init.cpp
    generated_cpp${generated_cpp_suffix}/com_trolltech_qt_gui_builtin/com_trolltech_qt_gui_builtin0.cpp
    generated_cpp${generated_cpp_suffix}/com_trolltech_qt_gui_builtin/com_trolltech_qt_gui_builtin_init.cpp
)

#-----------------------------------------------------------------------------
# List headers.  This is list is used for the install command.

set(headers
    src/PythonQtClassInfo.h
    src/PythonQtClassWrapper.h
    src/PythonQtConversion.h
    src/PythonQtCppWrapperFactory.h
    src/PythonQtDoc.h
    src/PythonQt.h
    src/PythonQtImporter.h
    src/PythonQtImportFileInterface.h
    src/PythonQtInstanceWrapper.h
    src/PythonQtMethodInfo.h
    src/PythonQtMisc.h
    src/PythonQtObjectPtr.h
    src/PythonQtQFileImporter.h
    src/PythonQtSignalReceiver.h
    src/PythonQtSlot.h
    src/PythonQtSignal.h
    src/PythonQtStdDecorators.h
    src/PythonQtStdIn.h
    src/PythonQtStdOut.h
    src/PythonQtSystem.h
    src/PythonQtVariants.h
    src/PythonQtPythonInclude.h
    generated_cpp${generated_cpp_suffix}/PythonQt_QtBindings.h
)

#-----------------------------------------------------------------------------
# Headers that should run through moc

set(moc_sources
    src/PythonQt.h
    src/PythonQtSignalReceiver.h
    src/PythonQtStdDecorators.h
    src/gui/PythonQtScriptingConsole.h

    generated_cpp${generated_cpp_suffix}/com_trolltech_qt_core_builtin/com_trolltech_qt_core_builtin0.h
    generated_cpp${generated_cpp_suffix}/com_trolltech_qt_gui_builtin/com_trolltech_qt_gui_builtin0.h
)

#-----------------------------------------------------------------------------
# Add extra sources
foreach(qtlib core gui network opengl sql svg uitools webkit xml xmlpatterns)
  
  if (${PythonQt_Wrap_Qt${qtlib}})
    
    ADD_DEFINITIONS(-DPYTHONQT_WRAP_Qt${qtlib})
    
    set(file_prefix generated_cpp${generated_cpp_suffix}/com_trolltech_qt_${qtlib}/com_trolltech_qt_${qtlib})
    
    foreach(index RANGE 0 11)
    
      # Source files
      if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${file_prefix}${index}.cpp)
        list(APPEND sources ${file_prefix}${index}.cpp)
      endif()
      
      # Headers that should run through moc
      if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${file_prefix}${index}.h)
        list(APPEND moc_sources ${file_prefix}${index}.h)
      endif()
      
    endforeach()
    
    list(APPEND sources ${file_prefix}_init.cpp)

  endif()
endforeach()

#-----------------------------------------------------------------------------
# UI files
set(ui_sources )

#-----------------------------------------------------------------------------
# Resources
set(qrc_sources )

#-----------------------------------------------------------------------------
# Do wrapping
qt4_wrap_cpp(gen_moc_sources ${moc_sources})
qt4_wrap_ui(gen_ui_sources ${ui_sources})
qt4_add_resources(gen_qrc_sources ${qrc_sources})

#-----------------------------------------------------------------------------
# Build the library

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/src
  )
  
add_library(PythonQt SHARED
            ${sources}
            ${gen_moc_sources}
            ${gen_ui_sources}
            ${gen_qrc_sources}
  )
set_target_properties(PythonQt PROPERTIES DEFINE_SYMBOL PYTHONQT_EXPORTS)

#
# That should solve linkage error on Mac when the project is used in a superbuild setup
# See http://blog.onesadcookie.com/2008/01/installname-magic.html
#
set_target_properties(PythonQt  PROPERTIES
  INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib"
  )

target_link_libraries(PythonQt
              ${PYTHON_LIBRARY}
              ${QT_LIBRARIES}
  )

#-----------------------------------------------------------------------------
# Install library (on windows, put the dll in 'bin' and the archive in 'lib')

install(TARGETS PythonQt
        RUNTIME DESTINATION bin
        LIBRARY DESTINATION lib
        ARCHIVE DESTINATION lib)
install(FILES ${headers} DESTINATION include/PythonQt)

## pythonqt 2.0.1

=== debian/changelog ===
pythonqt (2.0.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with Qt 4.8 (Closes: #664569)
    - Add debian/patches/stddecorators_no_keywords.patch
    - Extend debian/patches/cmakebuildsystem.patch to compile with
      -DQT_NO_KEYWORDS
    - Thanks to Felix Geyer for the patch

 -- Scott Kitterman <scott@kitterman.com>  Wed, 09 May 2012 00:14:21 -0400

pythonqt (2.0.1-1) unstable; urgency=low

  * Initial release (Closes: #616698)

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sat, 05 Mar 2011 16:34:12 +0100

=== debian/control ===
Source: pythonqt
Section: libs
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), cmake, quilt (>= 0.46-7~), python-dev, qt4-qmake, libqt4-dev
Standards-Version: 3.9.1
XS-Python-Version: current
Homepage: http://pythonqt.sourceforge.net
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/pythonqt/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/pythonqt/trunk/

Package: libpythonqt2.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Dynamic Python binding for the Qt framework - runtime
 PythonQt offers an easy way to embed the Python scripting language into a
 C++ Qt applications. It makes heavy use of the QMetaObject system and thus
 requires Qt 4.x.
 The focus of PythonQt is on embedding Python into an existing C++ application,
 not on writing the whole application completely in Python. If you want to write
 your whole application in Python, you should use PyQt or PySide instead.
 If you are looking for a simple way to embed Python objects into your C++/Qt
 Application and to script parts of your application via Python, PythonQt is the
 way to go!
 .
 This package contains the libraries needed to run PythonQt applications.

Package: libpythonqt2-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Dynamic Python binding for the Qt framework - development
 PythonQt offers an easy way to embed the Python scripting language into a
 C++ Qt applications. It makes heavy use of the QMetaObject system and thus
 requires Qt 4.x.
 The focus of PythonQt is on embedding Python into an existing C++ application,
 not on writing the whole application completely in Python. If you want to write
 your whole application in Python, you should use PyQt or PySide instead.
 If you are looking for a simple way to embed Python objects into your C++/Qt
 Application and to script parts of your application via Python, PythonQt is the
 way to go!
 .
 This package contains development files needed to build PythonQt applications.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --parallel --with quilt --buildsystem=cmake $@ 

get-orig-source:
	uscan --verbose --force-download --repack --rename

## pythonqt 2.1.0~svn247

=== debian/changelog ===
pythonqt (2.1.0~svn247-1) unstable; urgency=low

  * new snapshot based on svn r247
  * bump libpythonqt2.0 to libpythonqt2.1.0
  * maintain only one dev package (change libpythonqt2-dev to libpythonqt-dev)
  * bump Standards-Version: 3.9.4
  * remove obsolete DM-Upload-Allowed field
  * debian/copyright: removed obsolete fields in dep5 copyright
  * debian/compat: bump to 9
  * debian/control: fix dh syntax issue

 -- Dominique Belhachemi <domibel@debian.org>  Sun, 03 Nov 2013 20:30:26 -0500

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,15 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Mathieu Malaterre <mathieu.malaterre@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), cmake, quilt (>= 0.46-7~), python-dev, qt4-qmake, libqt4-dev
-Standards-Version: 3.9.1
+Uploaders: Mathieu Malaterre <mathieu.malaterre@gmail.com>, Dominique Belhachemi <domibel@debian.org>
+Build-Depends: debhelper (>= 9), cmake, quilt (>= 0.46-7~), python-dev, qt4-qmake, libqt4-dev
+Standards-Version: 3.9.4
 XS-Python-Version: current
 Homepage: http://pythonqt.sourceforge.net
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/pythonqt/trunk/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/pythonqt/trunk/
+Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/pythonqt/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/pythonqt/trunk/
 
-Package: libpythonqt2.0
+Package: libpythonqt2.1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Dynamic Python binding for the Qt framework - runtime
@@ -27,10 +26,12 @@
  .
  This package contains the libraries needed to run PythonQt applications.
 
-Package: libpythonqt2-dev
+Package: libpythonqt-dev
+Replaces: libpythonqt2-dev (<< 2.1.0~svn247-1~)
+Breaks: libpythonqt2-dev (<< 2.1.0~svn247-1~)
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libpythonqt2.1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Dynamic Python binding for the Qt framework - development
  PythonQt offers an easy way to embed the Python scripting language into a
  C++ Qt applications. It makes heavy use of the QMetaObject system and thus

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh --parallel --with quilt --buildsystem=cmake $@ 
+	dh $@ --parallel --with quilt --buildsystem=cmake
 
 get-orig-source:
 	uscan --verbose --force-download --repack --rename

=== debian/watch ===
version=3
http://sf.net/pythonqt/PythonQt([\d\.]+)\.zip

## pythonqt 3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,10 @@
+#-----------------------------------------------------------------------------
+# NOTE: The CMake files have been contributed to PythonQt and have not been tested with the current
+# PythonQt version. They have not yet been updated to support Qt 5 and/or Python 3.
+#
+# If you are not a CMake expert, you should better use the provided qmake profiles.
+#-----------------------------------------------------------------------------
+
 cmake_minimum_required(VERSION 2.8)
 
 #-----------------------------------------------------------------------------
@@ -74,9 +81,6 @@
 # The variable "generated_cpp_suffix" allows to conditionnally compile the generated wrappers 
 # associated with the Qt version being used.
 set(generated_cpp_suffix "_${QT_VERSION_MAJOR}${QT_VERSION_MINOR}")
-if("${generated_cpp_suffix}" STREQUAL "_48")
-  set(generated_cpp_suffix "")
-endif()
 if("${generated_cpp_suffix}" STREQUAL "_46")
   set(generated_cpp_suffix "_47") # Also use 4.7 wrappers for 4.6.x version
 endif()
@@ -85,6 +89,7 @@
 # Sources
 
 set(sources
+    src/PythonQtBoolResult.cpp
     src/PythonQtClassInfo.cpp
     src/PythonQtClassWrapper.cpp
     src/PythonQtConversion.cpp
@@ -115,6 +120,7 @@
 # List headers.  This is list is used for the install command.
 
 set(headers
+    src/PythonQtBoolResult.h
     src/PythonQtClassInfo.h
     src/PythonQtClassWrapper.h
     src/PythonQtConversion.h

=== debian/changelog ===
pythonqt (3.0-3) unstable; urgency=medium

  * QA upload.
  * Remove Qt4 QtWebKit support in support of Stretch removal plans (Closes:
    #816811)
    - Remove libqtwebkit-dev from build-depends
    - Add disable-webkit patch to remove webkit support from build 
      configuration

 -- Scott Kitterman <scott@kitterman.com>  Thu, 15 Sep 2016 12:16:39 -0400

pythonqt (3.0-2) unstable; urgency=medium

  * Orphan the package
  * Add PythonQtUtils.h which is somehow missing in CMakeLists.txt
    (Thanks for the hint to alex)
    Closes: #826966
  * cme fix dpkg-control
  * hardening=+bindnow
  * automatically use xz compression

 -- Andreas Tille <tille@debian.org>  Mon, 04 Jul 2016 17:02:27 +0200

pythonqt (3.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Add myself to uploaders
  * cme fix dpkg-control
  * Adapt package name to library version

  [ Florian Will ]
  * build wrapper for every supported Qt class
    Closes: #755901
  * install gui/PythonQtScriptingConsole.h
    Closes: #755849

 -- Andreas Tille <tille@debian.org>  Fri, 11 Dec 2015 11:56:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,23 @@
 Source: pythonqt
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: libs
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Mathieu Malaterre <mathieu.malaterre@gmail.com>, Dominique Belhachemi <domibel@debian.org>
-Build-Depends: debhelper (>= 9), cmake, quilt (>= 0.46-7~), python-dev, qt4-qmake, libqt4-dev
-Standards-Version: 3.9.4
-XS-Python-Version: current
+Build-Depends: debhelper (>= 9),
+               cmake,
+               python-dev,
+               qt4-qmake,
+               libqt4-dev,
+               libqt4-opengl-dev
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/pythonqt/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/pythonqt/trunk/
 Homepage: http://pythonqt.sourceforge.net
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/pythonqt/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/pythonqt/trunk/
+X-Python-Version: current
 
-Package: libpythonqt2.1
+Package: libpythonqt3.0
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: Dynamic Python binding for the Qt framework - runtime
  PythonQt offers an easy way to embed the Python scripting language into a
  C++ Qt applications. It makes heavy use of the QMetaObject system and thus
@@ -27,11 +32,13 @@
  This package contains the libraries needed to run PythonQt applications.
 
 Package: libpythonqt-dev
+Architecture: any
+Section: libdevel
+Depends: libpythonqt3.0 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
+Breaks: libpythonqt2-dev (<< 2.1.0~svn247-1~)
 Replaces: libpythonqt2-dev (<< 2.1.0~svn247-1~)
-Breaks: libpythonqt2-dev (<< 2.1.0~svn247-1~)
-Section: libdevel
-Architecture: any
-Depends: libpythonqt2.1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Dynamic Python binding for the Qt framework - development
  PythonQt offers an easy way to embed the Python scripting language into a
  C++ Qt applications. It makes heavy use of the QMetaObject system and thus

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --parallel --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DPythonQt_Wrap_QtAll=ON

## pythonqt 3.2

=== generator/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

#-----------------------------------------------------------------------------
project(PythonQtGenerator)
#-----------------------------------------------------------------------------

include(CTestUseLaunchers OPTIONAL)

#-----------------------------------------------------------------------------
# Setup Qt

set(minimum_required_qt_version "4.6.2")

find_package(Qt4)

if(QT4_FOUND)

  set(found_qt_version ${QT_VERSION_MAJOR}.${QT_VERSION_MINOR}.${QT_VERSION_PATCH})

  if(${found_qt_version} VERSION_LESS ${minimum_required_qt_version})
      message(FATAL_ERROR "error: PythonQt requires Qt >= ${minimum_required_qt_version} -- you cannot use Qt ${found_qt_version}.")
  endif()
  
  set(QT_USE_QTXML ON)
  
  include(${QT_USE_FILE})
else()
  message(FATAL_ERROR "error: Qt4 was not found on your system. You probably need to set the QT_QMAKE_EXECUTABLE variable")
endif()

#-----------------------------------------------------------------------------
# Sources

set(sources
  parser/ast.cpp
  parser/binder.cpp
  parser/class_compiler.cpp
  parser/codemodel.cpp
  parser/codemodel_finder.cpp
  parser/compiler_utils.cpp
  parser/control.cpp
  parser/declarator_compiler.cpp
  parser/default_visitor.cpp
  parser/dumptree.cpp
  parser/lexer.cpp
  parser/list.cpp
  parser/name_compiler.cpp
  parser/parser.cpp
  parser/smallobject.cpp
  parser/tokens.cpp
  parser/type_compiler.cpp
  parser/visitor.cpp
  
  abstractmetabuilder.cpp
  abstractmetalang.cpp
  asttoxml.cpp
  customtypes.cpp
  fileout.cpp
  generator.cpp
  generatorset.cpp
  generatorsetqtscript.cpp
  main.cpp
  metajava.cpp
  metaqtscriptbuilder.cpp
  metaqtscript.cpp
  prigenerator.cpp
  reporthandler.cpp
  setupgenerator.cpp
  shellgenerator.cpp
  shellheadergenerator.cpp
  shellimplgenerator.cpp
  typeparser.cpp
  typesystem.cpp
  )
  
#-----------------------------------------------------------------------------
# List headers.  This list is used for the install command.

set(headers
  )

#-----------------------------------------------------------------------------
# Headers that should run through moc

set(moc_sources
  fileout.h
  generator.h
  generatorset.h
  generatorsetqtscript.h
  prigenerator.h
  setupgenerator.h
  shellgenerator.h
  shellheadergenerator.h
  shellimplgenerator.h
  )
  
#-----------------------------------------------------------------------------
# UI files

set(ui_sources )

#-----------------------------------------------------------------------------
# Resources

set(qrc_sources
  generator.qrc
  )

#-----------------------------------------------------------------------------
# Do wrapping
qt4_wrap_cpp(gen_moc_sources ${moc_sources})
qt4_wrap_ui(gen_ui_sources ${ui_sources})
qt4_add_resources(gen_qrc_sources ${qrc_sources})

#-----------------------------------------------------------------------------
# Copy file expected by the generator and specify install rules

file(GLOB files_to_copy RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "build_*.txt" "typesystem_*.xml")
list(APPEND files_to_copy qtscript_masterinclude.h parser/rpp/pp-qt-configuration)
foreach(file ${files_to_copy})
  configure_file(
    ${file}
    ${CMAKE_CURRENT_BINARY_DIR}/${file}
    COPYONLY
    )
  get_filename_component(destination_dir ${file} PATH)
  install(FILES ${file} DESTINATION bin/${destination_dir})
endforeach()

#-----------------------------------------------------------------------------
# Build the library

SOURCE_GROUP("Resources" FILES
  ${qrc_sources}
  ${ui_sources}
  ${files_to_copy}
  )

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/parser
  ${CMAKE_CURRENT_SOURCE_DIR}/parser/rpp
  )
  
add_definitions(-DRXX_ALLOCATOR_INIT_0)
  
add_executable(${PROJECT_NAME}
  ${sources}
  ${gen_moc_sources}
  ${gen_ui_sources}
  ${gen_qrc_sources}
)

target_link_libraries(${PROJECT_NAME} ${QT_LIBRARIES})

#-----------------------------------------------------------------------------
# Install library (on windows, put the dll in 'bin' and the archive in 'lib')

install(TARGETS ${PROJECT_NAME}
        RUNTIME DESTINATION bin
        LIBRARY DESTINATION lib
        ARCHIVE DESTINATION lib)

=== debian/changelog ===
pythonqt (3.2-7build2) bionic; urgency=medium

  * No-change rebuild against qtdeclarative-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 21:52:30 -0500

pythonqt (3.2-7build1) bionic; urgency=medium

  * No-change rebuild against Qt 5.9.4.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 25 Feb 2018 21:47:18 -0600

pythonqt (3.2-7) unstable; urgency=medium

  * Move VCS to salsa.debian.org
  * Update standards version to 4.1.3
  * Fix debian/copyright
  * Replace {binary:Version} with {source:Version} dependency
  * Adjust arm builds to allow building for Ubuntu

 -- Jonathan Carter <jcc@debian.org>  Wed, 14 Feb 2018 09:03:07 +0200

pythonqt (3.2-6) unstable; urgency=medium

  * Upload to unstable
  * Update debian/copyright
  * Add lintian overrides for package naming

 -- Jonathan Carter <jcc@debian.org>  Fri, 09 Feb 2018 09:54:26 +0200

pythonqt (3.2-6~exp1) experimental; urgency=medium

  * Make common dev packages architecture: all
  * Don't install compiled example code
  * Move example files to dev package

 -- Erik Lundin <erik@lun.nu>  Fri, 01 Dec 2017 14:19:42 +0100

pythonqt (3.2-5) unstable; urgency=medium

  * Upload to unstable

 -- Jonathan Carter <jcc@debian.org>  Tue, 21 Nov 2017 17:56:29 +0200

pythonqt (3.2-5~exp1) experimental; urgency=medium

  * Add Erik Lundin's patch to fix builds on ppc64
    (Closes: #881685)
  * Add Erik Lundin's patch to fix files shipped in multiple binaries
    (Closes: #881710)

 -- Jonathan Carter <jcc@debian.org>  Mon, 20 Nov 2017 10:21:26 +0200

pythonqt (3.2-4) unstable; urgency=medium

  * Upload to unstable

 -- Jonathan Carter <jcc@debian.org>  Mon, 13 Nov 2017 13:28:12 +0200

pythonqt (3.2-4~exp4) experimental; urgency=medium

  * Fix generator Qt include dir for multiarch
  * Remove unneeded patch fix-string-literals
  * Remove unneeded and add new build depends

 -- Erik Lundin <erik@lun.nu>  Thu, 09 Nov 2017 22:39:45 +0100

pythonqt (3.2-4~exp3) experimental; urgency=medium

  * Patch for building with Qt 5.9

 -- Erik Lundin <erik@lun.nu>  Fri, 27 Oct 2017 16:54:37 +0200

pythonqt (3.2-4~exp2) experimental; urgency=medium

  [ Erik Lundin ]
  * Use generator to create Qt wrapper code
  * Build packages for both Python 2 and Python 3
  * Place QtAll extension in separate package
  * Implement multiarch support
  * Create pkg-config files

  [ Jonathan Carter ]
  * Bump standards version to 4.1.1
  * Remove unneeded amd64 rule

 -- Erik Lundin <erik@lun.nu>  Sun, 1 Oct 2017 21:08:09 +0200

pythonqt (3.2-4~exp1) experimental; urgency=medium

  * Fix FTBFS on arm and hppa architectures

 -- Jonathan Carter <jcc@debian.org>  Mon, 18 Sep 2017 08:46:23 +0200

pythonqt (3.2-3) unstable; urgency=medium

  * debian/control: fix typo 's/libpythont/libpythonqt/g' (Closes: 875680)

 -- Jonathan Carter <jcc@debian.org>  Thu, 14 Sep 2017 10:20:04 +0200

pythonqt (3.2-2) unstable; urgency=medium

  * Update description from "Qt 4.x" to "Qt 5.x" (Closes: #875108)

 -- Jonathan Carter <jcc@debian.org>  Wed, 13 Sep 2017 09:49:28 +0200

pythonqt (3.2-1) unstable; urgency=medium

  * Upload to unstable (no changes)

 -- Jonathan Carter <jcc@debian.org>  Thu, 24 Aug 2017 18:37:43 +0200

pythonqt (3.2-1~exp2) experimental; urgency=medium

  * Package adopted by DPMT (Closes: #705207)
  * New build-deps: libpulse-dev, libgtk2.0-dev
  * Tidy up patch headers: fix-string-literals

 -- Jonathan Carter <jcc@debian.org>  Wed, 23 Aug 2017 11:30:26 +0200

pythonqt (3.2-1~exp1) experimental; urgency=medium

  * New upstream release
  * Adopting package as part of Python team (DPMT)
    - debian/control: Setting new maintainer and uploader
    - debian/copyright: Update with new maintainer
  * Update compat level to 10
  * Update standards version to 4.1.0.0
  * Update debian/copyright to copyright-format 1.0
  * Remove ancient breaks/replace
  * Build against qt5 instead of qt4 (Closes: #832610)
  * Switch build system from cmake to qmake
    - Remove unneeded patches
    - Update debian/rules
  * Add lintian-override fo package-name-doesnt-match-sonames
  * Remove README.Debian (no longer applicable)
  * Add examples to doc
  * Add patch to escape strings, fixes FTBFS due to warnings

 -- Jonathan Carter <jcc@debian.org>  Fri, 11 Aug 2017 21:58:06 -0400

=== debian/control ===
Source: pythonqt
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jonathan Carter <jcc@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-exec (>= 0.3),
               libqt5opengl5-dev,
               libqt5svg5-dev,
               libqt5xmlpatterns5-dev,
               pkg-config,
               python-dev,
               python3-dev,
               qt5-qmake,
               qtbase5-dev,
               qtbase5-private-dev,
               qtdeclarative5-dev,
               qtmultimedia5-dev,
               qttools5-dev
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/python-team/modules/pythonqt.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pythonqt
Homepage: http://pythonqt.sourceforge.net
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3

Package: libpythonqt-qt5-python2-3
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Dynamic Python binding for the Qt framework - runtime
 PythonQt offers an easy way to embed the Python scripting language into a
 C++ Qt applications. It makes heavy use of the QMetaObject system and
 requires Qt 5.x.
 The focus of PythonQt is on embedding Python into an existing C++ application,
 not on writing the whole application completely in Python. If you want to write
 your whole application in Python, you should use PyQt or PySide instead.
 If you are looking for a simple way to embed Python objects into your C++/Qt
 Application and to script parts of your application via Python, PythonQt is the
 way to go!
 .
 This package contains the libraries needed to run PythonQt applications
 for Python 2.

Package: libpythonqt-qt5-common-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Dynamic Python binding for the Qt framework - development
 PythonQt offers an easy way to embed the Python scripting language into a
 C++ Qt applications. It makes heavy use of the QMetaObject system and
 requires Qt 5.x.
 The focus of PythonQt is on embedding Python into an existing C++ application,
 not on writing the whole application completely in Python. If you want to write
 your whole application in Python, you should use PyQt or PySide instead.
 If you are looking for a simple way to embed Python objects into your C++/Qt
 Application and to script parts of your application via Python, PythonQt is the
 way to go!
 .
 This package contains development files common for Python 2 and Python 3
 needed to build PythonQt applications.

Package: libpythonqt-qt5-python2-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpythonqt-qt5-python2-3 (= ${source:Version}),
         libpythonqt-qt5-common-dev (= ${source:Version}),
         pkg-config,
         ${shlibs:Depends},
         ${misc:Depends}
Description: Dynamic Python binding for the Qt framework - development
 PythonQt offers an easy way to embed the Python scripting language into a
 C++ Qt applications. It makes heavy use of the QMetaObject system and
 requires Qt 5.x.
 The focus of PythonQt is on embedding Python into an existing C++ application,
 not on writing the whole application completely in Python. If you want to write
 your whole application in Python, you should use PyQt or PySide instead.
 If you are looking for a simple way to embed Python objects into your C++/Qt
 Application and to script parts of your application via Python, PythonQt is the
 way to go!
 .
 This package contains development files needed to build PythonQt applications
 for Python 2.

Package: libpythonqt-qtall-qt5-python2-3
Architecture: any
Multi-Arch: same
Depends: libpythonqt-qt5-python2-3 (= ${source:Version}),
         pkg-config,
         ${shlibs:Depends},
         ${misc:Depends}
Description: Dynamic Python binding for the Qt framework - runtime
 PythonQt offers an easy way to embed the Python scripting language into a
 C++ Qt applications. It makes heavy use of the QMetaObject system and
 requires Qt 5.x.
 The focus of PythonQt is on embedding Python into an existing C++ application,
 not on writing the whole application completely in Python. If you want to write
 your whole application in Python, you should use PyQt or PySide instead.
 If you are looking for a simple way to embed Python objects into your C++/Qt
 Application and to script parts of your application via Python, PythonQt is the
 way to go!
 .
 This package contains the extension PythonQt_QtAll, enabling usage of
 Qt classes from the embedded Python 2 code.

Package: libpythonqt-qtall-qt5-common-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: libpythonqt-qt5-common-dev (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Dynamic Python binding for the Qt framework - development
 PythonQt offers an easy way to embed the Python scripting language into a
 C++ Qt applications. It makes heavy use of the QMetaObject system and
 requires Qt 5.x.
 The focus of PythonQt is on embedding Python into an existing C++ application,
 not on writing the whole application completely in Python. If you want to write
 your whole application in Python, you should use PyQt or PySide instead.
 If you are looking for a simple way to embed Python objects into your C++/Qt
 Application and to script parts of your application via Python, PythonQt is the
 way to go!
 .
 This package contains development files common for both Python 2 and Python 3
 needed to build applications using and the PythonQt extension PythonQt_QtAll.

Package: libpythonqt-qtall-qt5-python2-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpythonqt-qtall-qt5-python2-3 (= ${source:Version}),
         libpythonqt-qtall-qt5-common-dev (= ${source:Version}),
         libpythonqt-qt5-python2-dev (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Dynamic Python binding for the Qt framework - development
 PythonQt offers an easy way to embed the Python scripting language into a
 C++ Qt applications. It makes heavy use of the QMetaObject system and
 requires Qt 5.x.
 The focus of PythonQt is on embedding Python into an existing C++ application,
 not on writing the whole application completely in Python. If you want to write
 your whole application in Python, you should use PyQt or PySide instead.
 If you are looking for a simple way to embed Python objects into your C++/Qt
 Application and to script parts of your application via Python, PythonQt is the
 way to go!
 .
 This package contains development files needed to build applications
 using and the PythonQt extension PythonQt_QtAll for Python 2.

Package: libpythonqt-qt5-python3-3
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Dynamic Python binding for the Qt framework - runtime
 PythonQt offers an easy way to embed the Python scripting language into a
 C++ Qt applications. It makes heavy use of the QMetaObject system and
 requires Qt 5.x.
 The focus of PythonQt is on embedding Python into an existing C++ application,
 not on writing the whole application completely in Python. If you want to write
 your whole application in Python, you should use PyQt or PySide instead.
 If you are looking for a simple way to embed Python objects into your C++/Qt
 Application and to script parts of your application via Python, PythonQt is the
 way to go!
 .
 This package contains the libraries needed to run PythonQt applications
 for Python 3.

Package: libpythonqt-qt5-python3-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpythonqt-qt5-python3-3 (= ${source:Version}),
         libpythonqt-qt5-common-dev (= ${source:Version}),
         pkg-config,
         ${shlibs:Depends},
         ${misc:Depends}
Description: Dynamic Python binding for the Qt framework - development
 PythonQt offers an easy way to embed the Python scripting language into a
 C++ Qt applications. It makes heavy use of the QMetaObject system and
 requires Qt 5.x.
 The focus of PythonQt is on embedding Python into an existing C++ application,
 not on writing the whole application completely in Python. If you want to write
 your whole application in Python, you should use PyQt or PySide instead.
 If you are looking for a simple way to embed Python objects into your C++/Qt
 Application and to script parts of your application via Python, PythonQt is the
 way to go!
 .
 This package contains development files needed to build PythonQt applications
 for Python 3.

Package: libpythonqt-qtall-qt5-python3-3
Architecture: any
Multi-Arch: same
Depends: libpythonqt-qt5-python3-3 (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Dynamic Python binding for the Qt framework - runtime
 PythonQt offers an easy way to embed the Python scripting language into a
 C++ Qt applications. It makes heavy use of the QMetaObject system and
 requires Qt 5.x.
 The focus of PythonQt is on embedding Python into an existing C++ application,
 not on writing the whole application completely in Python. If you want to write
 your whole application in Python, you should use PyQt or PySide instead.
 If you are looking for a simple way to embed Python objects into your C++/Qt
 Application and to script parts of your application via Python, PythonQt is the
 way to go!
 .
 This package contains the extension PythonQt_QtAll, enabling usage of
 Qt classes from the embedded Python 3 code.

Package: libpythonqt-qtall-qt5-python3-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpythonqt-qtall-qt5-python3-3 (= ${source:Version}),
         libpythonqt-qtall-qt5-common-dev (= ${source:Version}),
         libpythonqt-qt5-python3-dev (= ${source:Version}),
         pkg-config,
         ${shlibs:Depends},
         ${misc:Depends}
Description: Dynamic Python binding for the Qt framework - development
 PythonQt offers an easy way to embed the Python scripting language into a
 C++ Qt applications. It makes heavy use of the QMetaObject system and
 requires Qt 5.x.
 The focus of PythonQt is on embedding Python into an existing C++ application,
 not on writing the whole application completely in Python. If you want to write
 your whole application in Python, you should use PyQt or PySide instead.
 If you are looking for a simple way to embed Python objects into your C++/Qt
 Application and to script parts of your application via Python, PythonQt is the
 way to go!
 .
 This package contains development files needed to build applications
 using and the PythonQt extension PythonQt_QtAll for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export QT_SELECT=qt5

# Use -mlongcalls for hppa
ifneq (,$(findstring $(DEB_HOST_ARCH),hppa))
export DEB_CXXFLAGS_MAINT_APPEND=-mlong-calls
endif

# Fix building on armhf
ifneq (,$(filter $(DEB_HOST_ARCH),armhf))
  export DEB_CXXFLAGS_MAINT_STRIP=-O2
  export DEB_CXXFLAGS_MAINT_APPEND=-O1
endif

PY2VERS := $(shell pyversions -vd)
PY3VERS := $(shell py3versions -vd)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-generator -- ../generator/generator.pro
	for i in $(PY2VERS) $(PY3VERS); do \
		export PYTHON_VERSION=$${i}; \
		dh_auto_configure --builddirectory=build-py$${i} -- LIBS+=-L$$PWD/build-py$${i}/lib ../PythonQt.pro; \
	done

override_dh_auto_build:
	# Build the generator
	dh_auto_build --builddirectory=build-generator

	# Run the generator to create wrapper code for Qt classes. The generator
	# will look for folders under QTDIR/include. To easily create this, symlink
	# the correct include folder there.
	cd generator; \
	mkdir -p qtdir; \
	ln -s `pkg-config --variable=includedir Qt5Core` qtdir/include; \
	QTDIR=qtdir ../build-generator/pythonqt_generator qtscript_masterinclude.h build_all.txt

	for i in $(PY2VERS) $(PY3VERS); do \
		export PYTHON_VERSION=$${i}; \
		dh_auto_build --builddirectory=build-py$${i} -- sub-src; \
		dh_auto_build --builddirectory=build-py$${i} -- sub-extensions; \
	done

override_dh_auto_clean:
	rm -rf build-py*
	rm -rf generated_cpp
	rm -rf generator/qtdir
	rm -f generator/.preprocessed.tmp
	rm -f generator/*.log
	dh_auto_clean

=== debian/watch ===
version=3
opts="repack,compression=xz" \
   http://sf.net/pythonqt/PythonQt([\d\.]+)\.zip
